Yandex Cloud Registry API, REST: Registry.List
Retrieves the list of Registry resources in the specified folder.
HTTP request
GET https://registry.api.cloud.yandex.net/cloud-registry/v1/registries
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list registries in. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
nameFilter |
string Filter by registry name.
The maximum string length in characters is 1000. |
|
kind[] |
enum (Kind) Match by registry kind (for example DOCKER, MAVEN, NPM).
|
|
type[] |
enum (Type) Match by registry type (for example LOCAL, REMOTE).
|
|
status[] |
enum (Status) Match by registry status. Empty list means any status.
|
Response
HTTP Code: 200 - OK
{
"registries": [
{
"id": "string",
"folderId": "string",
"name": "string",
"description": "string",
"kind": "string",
"type": "string",
"status": "string",
"labels": "object",
"properties": "object",
"createdAt": "string",
"modifiedAt": "string",
"patternFilter": {
"includePatterns": [
"string"
],
"excludePatterns": [
"string"
]
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
registries[] |
List of Registry resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Registry
A Registry resource. For more information, see the Registry section of the documentation.
|
Field |
Description |
|
id |
string Output only. ID of the registry. |
|
folderId |
string ID of the folder that the registry belongs to. |
|
name |
string Name of the registry. |
|
description |
string Description of the registry. |
|
kind |
enum (Kind) Kind of the registry.
|
|
type |
enum (Type) Type of the registry.
|
|
status |
enum (Status) Output only. Status of the registry.
|
|
labels |
object (map<string, string>) Resource labels as |
|
properties |
object (map<string, string>) Resource properties as |
|
createdAt |
string (date-time) Output only. Creation timestamp in RFC3339 String in RFC3339 To work with values in this field, use the APIs described in the |
|
modifiedAt |
string (date-time) Output only. Modification timestamp in RFC3339 String in RFC3339 To work with values in this field, use the APIs described in the |
|
patternFilter |
Pattern filters for artifacts in the registry. |
PatternFilter
Default filter includes all artifacts ("**") and excludes none.
|
Field |
Description |
|
includePatterns[] |
string List of patterns for artifacts to include. Each value must match the regular expression |
|
excludePatterns[] |
string List of patterns for artifacts to exclude. Each value must match the regular expression |